<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gzl="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <gzl:div id="globalDiv">
                <h1>#{fhirResourceValidatorDescriptionDisplay.validatorDescription.name}</h1>
                <gri:panel pid="displayP">
                    <f:facet name="header">Validation description</f:facet>
                    <dl class="dl-horizontal">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Name</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.name}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">OID</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.oid}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Profile</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.profile}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Descriminator</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.descriminator}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Status</ui:define>
                            <h:outputText rendered="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.available}" value="Available"
                                          styleClass="gzl-label gzl-label-green"/>
                            <h:outputText rendered="#{not fhirResourceValidatorDescriptionDisplay.validatorDescription.available}"
                                          value="Not available"
                                          styleClass="gzl-label gzl-label-red"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Execute schema validation ?</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.executeSchemaValidation}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Execute schematron validation ?</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.executeSchematronValidation}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Use IG FHIR Server ?</ui:define>
                            <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.useIGFhirService}"/>
                        </ui:decorate>
                        <gzl:div rendered="#{ssoIdentity.loggedIn and ssoIdentity.hasRole('admin_role') and
                        not empty fhirResourceValidatorDescriptionDisplay.validatorDescription.customStructureDefinition and
                        not fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">Path to structure definition</ui:define>
                                <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.customStructureDefinition}"/>
                            </ui:decorate>
                        </gzl:div>
                        <gzl:div rendered="#{not empty fhirResourceValidatorDescriptionDisplay.validatorDescription.structureDefinitionUrl}">
                            <ui:decorate template="/layout/display/_data_list_item.xhtml"
                            >
                                <ui:define name="label">URL</ui:define>
                                <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.structureDefinitionUrl}"/>
                            </ui:decorate>
                        </gzl:div>
                        <gzl:div
                                rendered="#{not empty fhirResourceValidatorDescriptionDisplay.validatorDescription.baseDefinition and not fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">Base definition</ui:define>
                                <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.baseDefinition}"/>
                            </ui:decorate>
                        </gzl:div>
                        <gzl:div
                                rendered="#{ssoIdentity.loggedIn and ssoIdentity.hasRole('admin_role') and not empty fhirResourceValidatorDescriptionDisplay.validatorDescription.weight and not fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">Weight</ui:define>
                                <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.weight}"/>
                            </ui:decorate>
                        </gzl:div>
                    </dl>
                    <f:facet name="footer">
                        <h:outputLink value="#{fhirResourceValidatorDescriptionDisplay.backTolist()}">
                            <h:commandButton type="button" value="Back to list"
                                             styleClass="gzl-btn"/>
                        </h:outputLink>
                        <h:outputLink value="#{fhirResourceValidatorDescriptionDisplay.editValidator()}"
                                      rendered="#{ssoIdentity.isLoggedIn() and ssoIdentity.hasRole('admin_role')}">
                            <h:commandButton type="button" value="Edit"
                                             styleClass="gzl-btn-blue"/>
                        </h:outputLink>
                    </f:facet>
                </gri:panel>
                <gri:panel pid="content" rendered="#{fhirResourceValidatorDescriptionDisplay.validatorDescription.hasCustomStructureDefinition() and
                 not fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                    <f:facet name="header">Structure Definition (SNAPSHOT computed)</f:facet>
                    <h:outputText value="#{fhirResourceValidatorDescriptionDisplay.getStructureDefinitionContent()}" escape="false"/>
                </gri:panel>
            </gzl:div>
        </h:form>
    </ui:define>
</ui:composition>
